# Class XFSInfo

java.lang.Object
com.redhat.et.libguestfs.XFSInfo

public class XFSInfo extends Object
XFSInfo structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`xfs_agcount`
`int`
`xfs_agsize`
`int`
`xfs_attr`
`int`
`xfs_blocksize`
`int`
`xfs_cimode`
`long`
`xfs_datablocks`
`int`
`xfs_dirblocksize`
`int`
`xfs_dirversion`
`int`
`xfs_imaxpct`
`int`
`xfs_inodesize`
`int`
`xfs_lazycount`
`int`
`xfs_logblocks`
`int`
`xfs_logblocksize`
`String`
`xfs_logname`
`int`
`xfs_logsectsize`
`int`
`xfs_logsunit`
`int`
`xfs_logversion`
`String`
`xfs_mntpoint`
`long`
`xfs_rtblocks`
`long`
`xfs_rtextents`
`int`
`xfs_rtextsize`
`String`
`xfs_rtname`
`int`
`xfs_sectsize`
`int`
`xfs_sunit`
`int`
`xfs_swidth`

## Constructor Summary

Constructors
Constructor
Description
`XFSInfo()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### xfs_mntpoint

public String xfs_mntpoint

### xfs_inodesize

public int xfs_inodesize

### xfs_agcount

public int xfs_agcount

### xfs_agsize

public int xfs_agsize

### xfs_sectsize

public int xfs_sectsize

### xfs_attr

public int xfs_attr

### xfs_blocksize

public int xfs_blocksize

### xfs_datablocks

public long xfs_datablocks

### xfs_imaxpct

public int xfs_imaxpct

### xfs_sunit

public int xfs_sunit

### xfs_swidth

public int xfs_swidth

### xfs_dirversion

public int xfs_dirversion

### xfs_dirblocksize

public int xfs_dirblocksize

### xfs_cimode

public int xfs_cimode

### xfs_logname

public String xfs_logname

### xfs_logblocksize

public int xfs_logblocksize

### xfs_logblocks

public int xfs_logblocks

### xfs_logversion

public int xfs_logversion

### xfs_logsectsize

public int xfs_logsectsize

### xfs_logsunit

public int xfs_logsunit

### xfs_lazycount

public int xfs_lazycount

### xfs_rtname

public String xfs_rtname

### xfs_rtextsize

public int xfs_rtextsize

### xfs_rtblocks

public long xfs_rtblocks

### xfs_rtextents

public long xfs_rtextents

## Constructor Details

### XFSInfo

public XFSInfo()